> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stigg.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Idempotency

> Make retried REST requests safe to repeat

For POST requests, you can include an `Idempotency-Key` header to ensure the operation is only performed once, even if the request is retried:

```bash theme={null}
curl -X POST "https://api.stigg.io/api/v1/customers" \
  -H "X-API-KEY: your-api-key" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: unique-request-id-123" \
  -d '{
    "id": "customer-123",
    "name": "Acme Corp"
  }'
```

Idempotency keys are stored for 24 hours. Repeated requests with the same key will return the cached response.


## Related topics

- [Idempotency](/api-and-sdks/api-reference/graphql/idempotency.md)
- [Metering architecture](/documentation/high-availability-and-scale/byoc/metering-architecture.md)
- [Introduction](/api-and-sdks/api-reference/webhooks/introduction.md)
- [Node.js SDK](/api-and-sdks/changelog/backend-graphql/node.md)
- [I want to run Stigg Sidecar and API in production](/guides/i-want-to/run-stigg-sidecar-api-in-production.md)
